Skip to main content
GET
/
workspace
/
mcp
List Mcps
curl --request GET \
  --url https://api.example.com/workspace/mcp \
  --header 'x-user-id: <x-user-id>'
[
  {
    "name": "<string>",
    "is_stateful": true,
    "mcp_config": {
      "command": "<string>",
      "type": "stdio_mcp",
      "args": [
        "<string>"
      ],
      "env": {},
      "cwd": "<string>",
      "encoding_error_handler": "strict"
    },
    "enable_tools": [
      "<string>"
    ],
    "disable_tools": [
      "<string>"
    ],
    "execution_timeout": 123,
    "is_healthy": false,
    "tools": [
      {
        "name": "<string>",
        "description": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.agentscope.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Query Parameters

agent_id
string
required
session_id
string
required

Response

Successful Response

name
string
required

The MCP name.

is_stateful
boolean
required

Whether this is a stateful connection that requires explicit connect() and close(). STDIO MCP must be stateful. HTTP MCP can be either stateful or stateless.

mcp_config
StdioMCPConfig · object
required

The STDIO MCP server configuration.

enable_tools
string[] | null
disable_tools
string[] | null
execution_timeout
number | null
is_healthy
boolean
default:false
tools
ToolInfo · object[]